Skip to main content
POST
Geocoding

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-api-version
string
default:2024-12-01
required

API version to be used. Format is in YYYY-MM-DD.

Example:

"2024-12-01"

Body

application/json

Find the request parameters to Access Token Generation.

verification_id
string
required

It displays the unique ID you created to identify the verification request.

Example:

"test_verification_id"

address
string
required

The full address for which coordinates are needed.

Example:

"123 ABC Apartment,Bangalore Karnataka - 560034"

country_code
string

It is the country code used for more accurate latitude and longitude results.

Example:

"IN"

latitude
string

Latitude to calculate distance from.

Example:

"12.9274477"

longitude
string

Longitude to calculate distance from.

Example:

"77.6326542"

Response

Response for geocoding API.

reference_id
integer

It displays the unique ID created by Cashfree for reference purposes. format: int64

Example:

123456

verification_id
string

It displays the unique ID you created to identify the verification request.

Example:

"testVerificationId"

address
string

The complete address, including location details, which was provided in the request.

Example:

"123 Main Street, Koramangala, Bangalore"

status
string

It displays the status of the address provided (VALID/INVALID).

Example:

"VALID"

latitude
string

The latitude value provided in request.

Example:

"37.7749"

longitude
string

The longitude value provided in request.

Example:

"-122.4194"

geo_latitude
string

The actual latitude coordinate of the address from the source.

Example:

"37.7749"

geo_longitude
string

The actual longitude coordinate of the address from the source.

Example:

"-122.4194"

geo_country_code
string

The country code of the address.

Example:

"IN"

city
string

The city name of the address.

Example:

"Bangalore"

state
string

The state name of the address.

Example:

"Karnataka"

state_code
string

The state code of the address.

Example:

"KA"

country
string

The country name of the address.

Example:

"India"

country_code
string

The country code of the address.

Example:

"IN"

pincode
string

Pincode or ZIP code of the address.

Example:

"560034"

distance_in_kms
string

Distance in kilometers from the latitude and longitude provided in the input request body to actual location.

Example:

"0.5"